Subject: bug#12441: 24.2.50; emacs-bzr-version is not reliable

From: Andy Moreton <[email-masked]>
Date: Sat, 15 Sep 2012 00:28:45 +0100

On Fri 14 Sep 2012, Harald Hanche-Olsen wrote:

> The variable emacs-bzr-version gives wrong information when emacs has
> been built from a revision not at the tip of the current branch.

I have seen this too. The value of emacs-bzr-version is the equivalent
of "bzr revno", but the version actually built will be "bzr revno --tree"
(plus any uncommitted changes).

    AndyM